# $Revision: 1.4.2.2 $, $Date: 2003/04/13 20:02:50 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Lingua
%define	pnam	Stem
Summary:	Lingua::Stem - stemming of words
Summary(pl):	Modu Perla Lingua::Stem - okrelajcy rdzenie sw
Name:		perl-Lingua-Stem
Version:	0.60
Release:	1
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if 0%{!?_without_tests:1}
BuildRequires:	perl-Lingua-GL-Stemmer
BuildRequires:	perl-Lingua-Stem-It
BuildRequires:	perl-Lingua-Stem-Snowball-Da
BuildRequires:	perl-Lingua-Stem-Snowball-No
BuildRequires:	perl-Lingua-Stem-Snowball-Se
BuildRequires:	perl-Text-German
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This routine applies stemming algorithms to its parameters, returning
the stemmed words as appropriate to the selected locale.

%description -l pl
Ta funkcja wykonuje na swoich parametrach algorytmy okrelajce
rdzenie sw, zwracajc rdzenie sw waciwe dla ustawionej
lokalizacji.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_sitelib}/%{pdir}/*.pm
%{perl_sitelib}/%{pdir}/%{pnam}/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Lingua-Stem.spec,v $
Revision 1.4.2.2  2003/04/13 20:02:50  ankry
- updated to 0.60
- added BRs
- cosmetics

Revision 1.4.2.1  2003/03/13 00:57:52  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.4  2003/02/25 00:40:14  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:35:25  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/08/14 23:39:26  qboosh
- pl description, release 2

Revision 1.1  2002/08/03 13:12:16  radek
- new, stbr
